dpkg interrupted ->sudo dpkg --configure -a

Asked by Fred V. Beek on 2010-10-11

In the terminal I did as instructed->sudo dpkg --configure -a
Everything is fine till -> configuring clamav-daemon
                              ->*setting up clamav-daemon clamd
 EVERYTHING just goes bad and freezes forever. Naturally I had to restart the computer in order to shut down the computer as the only thing that works when in this state is the restart button. However when I tried the normal way of starting the computer froze all over again. I restarted again using the recovery this time and a message told me to use low graphics as the screen, graphics card and input devices could not be detected properly.I did so and the computer started in failsafe gnome very nicely. However the synaptic manager is not working at all. When I tried to research the problem I came across this command-> sudo dpkg --audit . I tried this after doing;
 sudo dpkg --configure -a ( which freezes the computer)
->sudo dpkg --audit. gave the following answer

The following packages have been unpacked but not yet configured.
They must be configured using dpkg --configure or the configure
menu option in dselect for them to work:
 mktemp coreutils mktemp transitional package
 libpq5 PostgreSQL C client library
 gnome-terminal The GNOME terminal emulator application
 gdm GNOME Display Manager
 libqtgui4 Qt 4 GUI module
 libgssapi-krb5-2 MIT Kerberos runtime libraries - krb5 GSS-API Mechanism
 avahi-utils Avahi browsing, publishing and discovery utilities
 python-mako fast and lightweight templating for the Python platform
 libwxgtk2.6-0 wxWidgets Cross-platform C++ GUI toolkit (GTK+ runtime)
 dpkg-dev Debian package development tools
 python-wxgtk2.6 wxWidgets Cross-platform C++ GUI toolkit (wxPython bindin
 libqt4-sql Qt 4 SQL module
 openssl Secure Socket Layer (SSL) binary and related cryptographi
 python-software-properties manage the repositories that you install software f
 libk5crypto3 MIT Kerberos runtime libraries - Crypto Library
 avahi-autoipd Avahi IPv4LL network address configuration daemon
 libavahi-glib1 Avahi glib integration library
 libqt4-svg Qt 4 SVG module
 linux-libc-dev Linux Kernel Headers for development
 libqtcore4 Qt 4 core module
 libavahi-ui0 Avahi GTK+ User interface library
 libqt4-webkit Qt 4 WebKit module
 libgksu2-0 library providing su and sudo functionality
 libgutenprintui2-1 runtime for the Gutenprint printer driver user interface
 libqt4-network Qt 4 network module
 libqt4-sql-mysql Qt 4 MySQL database driver
 software-properties-kde manage the repositories that you install software from
 libgdiplus interface library for System.Drawing of Mono
 libqt4-script Qt 4 script module
 libdevmapper1.02.1 The Linux Kernel Device Mapper userspace library
 cups-driver-gutenprint printer drivers for CUPS
 libqt4-dbus Qt 4 D-Bus module
 libdesktopcouch-glib-1.0-2 Glib-based API for Desktopcouch
 libwxbase2.6-0 wxBase library (runtime) - non-GUI support classes of wxW
 libkrb5support0 MIT Kerberos runtime libraries - Support library
 python-avahi Python utility package for Avahi
 libqt4-opengl Qt 4 OpenGL module
 cupsys-driver-gutenprint Transitional package
 libgutenprint2 runtime for the Gutenprint printer driver library
 libavahi-gobject0 Avahi GObject library
 libqt4-designer Qt 4 designer module
 libphonon4 Qt 4 Phonon module
 libavahi-core6 Avahi's embeddable mDNS/DNS-SD library
 screen terminal multiplexor with VT100/ANSI terminal emulation
 libavahi-common-data Avahi common data files
 gwibber Open source social networking client for GNOME
 gnome-terminal-data Data files for the GNOME terminal emulator
 libqt4-help Qt 4 help module
 libavahi-common3 Avahi common library
 libavahi-compat-libdnssd1 Avahi Apple Bonjour compatibility library
 libqt4-scripttools Qt 4 script tools module
 libmikmod2 A portable sound library
 python-imaging Python Imaging Library
 libqt4-qt3support Qt 3 compatibility library for Qt 4
 libavahi-client3 Avahi client library
 phonon Qt 4 Phonon module metapackage
 fglrx-modaliases Identifiers supported by the ATI graphics driver
 libqt4-xml Qt 4 XML module
 landscape-common The Landscape administration system client
 libcouchdb-glib-1.0-2 GLib-based API for CouchDB
 libqt4-test Qt 4 test module
 gwibber-service Open source social networking client for GNOME
 libqt4-xmlpatterns Qt 4 XML patterns module
 avahi-daemon Avahi mDNS/DNS-SD daemon
 software-properties-gtk manage the repositories that you install software from
 libqt4-assistant Qt 4 assistant module
 libkrb5-3 MIT Kerberos runtime libraries

The following packages are only half configured, probably due to problems
configuring them the first time. The configuration should be retried using
dpkg --configure <package> or the configure menu option in dselect:
 clamav-daemon anti-virus utility for Unix - scanner daemon

There was several power outages due to powerful storms and a helluva lot of lightning and to aggravate it all a mall is being built in the area which is now in the comissioning stage and wierd things are happening like lights dipping and temporary losses of my cable Tv. Please help cause this is way over my head.

Question information

Language:
English Edit question
Status:
Solved
For:
Ubuntu dpkg Edit question
Assignee:
No assignee Edit question
Solved by:
Fred V. Beek
Solved:
2010-10-12
Last query:
2010-10-12
Last reply:
Fred V. Beek (fred-dredly-01) said : #1

sudo rm -f /var/lib/dpkg/updates/*> used this (from Ubuntu forums) then restarted synaptic and removed completely all clams then put them back and everthing doing very nicely so far.

Fred V. Beek (fred-dredly-01) said : #2

sudo rm -f /var/lib/dpkg/updates/*> used this (from Ubuntu forums) then restarted synaptic and removed completely all clams then put them back and everthing doing very nicely so far.

Guillermo Rubio (cu3rv01947) said : #3

Buenas tardes,
Al momento de ejecutar sudo apt-get upgrade, aparece el siguiente error:
Extracting templates from packages: 100%
Setting up systemd (245.4-4ubuntu3.2) ...
cp: '/etc/resolv.conf' and '/run/systemd/resolve/stub-resolv.conf' are the same file
dpkg: error processing package systemd (--configure):
 installed systemd package post-installation script subprocess returned error exit status 1
Errors were encountered while processing:
 systemd
E: Sub-process /usr/bin/dpkg returned an error code (1)

Muchas gracias por la ayuda